
package ca.canadapost.cpcdp.ncshipping.stub.ncshipment;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ca.canadapost.cpcdp.ncshipping.stub.ncshipment package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ca.canadapost.cpcdp.ncshipping.stub.ncshipment
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CustomsType }
     * 
     */
    public CustomsType createCustomsType() {
        return new CustomsType();
    }

    /**
     * Create an instance of {@link DeliverySpecType }
     * 
     */
    public DeliverySpecType createDeliverySpecType() {
        return new DeliverySpecType();
    }

    /**
     * Create an instance of {@link ParcelCharacteristicsType }
     * 
     */
    public ParcelCharacteristicsType createParcelCharacteristicsType() {
        return new ParcelCharacteristicsType();
    }

    /**
     * Create an instance of {@link NonContractShipmentDetailsType }
     * 
     */
    public NonContractShipmentDetailsType createNonContractShipmentDetailsType() {
        return new NonContractShipmentDetailsType();
    }

    /**
     * Create an instance of {@link NonContractShipmentDetailsType.DeliverySpec }
     * 
     */
    public NonContractShipmentDetailsType.DeliverySpec createNonContractShipmentDetailsTypeDeliverySpec() {
        return new NonContractShipmentDetailsType.DeliverySpec();
    }

    /**
     * Create an instance of {@link NonContractShipmentReceiptType }
     * 
     */
    public NonContractShipmentReceiptType createNonContractShipmentReceiptType() {
        return new NonContractShipmentReceiptType();
    }

    /**
     * Create an instance of {@link NonContractShipmentReceiptType.Adjustments }
     * 
     */
    public NonContractShipmentReceiptType.Adjustments createNonContractShipmentReceiptTypeAdjustments() {
        return new NonContractShipmentReceiptType.Adjustments();
    }

    /**
     * Create an instance of {@link NonContractShipmentReceiptType.PricedOptions }
     * 
     */
    public NonContractShipmentReceiptType.PricedOptions createNonContractShipmentReceiptTypePricedOptions() {
        return new NonContractShipmentReceiptType.PricedOptions();
    }

    /**
     * Create an instance of {@link Messages }
     * 
     */
    public Messages createMessages() {
        return new Messages();
    }

    /**
     * Create an instance of {@link RequestNonContractShipmentRefundRequest }
     * 
     */
    public RequestNonContractShipmentRefundRequest createRequestNonContractShipmentRefundRequest() {
        return new RequestNonContractShipmentRefundRequest();
    }

    /**
     * Create an instance of {@link NonContractShipmentRefundRequestType }
     * 
     */
    public NonContractShipmentRefundRequestType createNonContractShipmentRefundRequestType() {
        return new NonContractShipmentRefundRequestType();
    }

    /**
     * Create an instance of {@link GetNonContractShipmentsResponse }
     * 
     */
    public GetNonContractShipmentsResponse createGetNonContractShipmentsResponse() {
        return new GetNonContractShipmentsResponse();
    }

    /**
     * Create an instance of {@link NonContractShipmentsType }
     * 
     */
    public NonContractShipmentsType createNonContractShipmentsType() {
        return new NonContractShipmentsType();
    }

    /**
     * Create an instance of {@link CreateNonContractShipmentRequest }
     * 
     */
    public CreateNonContractShipmentRequest createCreateNonContractShipmentRequest() {
        return new CreateNonContractShipmentRequest();
    }

    /**
     * Create an instance of {@link NonContractShipmentType }
     * 
     */
    public NonContractShipmentType createNonContractShipmentType() {
        return new NonContractShipmentType();
    }

    /**
     * Create an instance of {@link CreateNonContractShipmentResponse }
     * 
     */
    public CreateNonContractShipmentResponse createCreateNonContractShipmentResponse() {
        return new CreateNonContractShipmentResponse();
    }

    /**
     * Create an instance of {@link NonContractShipmentInfoType }
     * 
     */
    public NonContractShipmentInfoType createNonContractShipmentInfoType() {
        return new NonContractShipmentInfoType();
    }

    /**
     * Create an instance of {@link GetNonContractShipmentPublicKeyInfoRequest }
     * 
     */
    public GetNonContractShipmentPublicKeyInfoRequest createGetNonContractShipmentPublicKeyInfoRequest() {
        return new GetNonContractShipmentPublicKeyInfoRequest();
    }

    /**
     * Create an instance of {@link RequestNonContractShipmentRefundResponse }
     * 
     */
    public RequestNonContractShipmentRefundResponse createRequestNonContractShipmentRefundResponse() {
        return new RequestNonContractShipmentRefundResponse();
    }

    /**
     * Create an instance of {@link NonContractShipmentRefundRequestInfoType }
     * 
     */
    public NonContractShipmentRefundRequestInfoType createNonContractShipmentRefundRequestInfoType() {
        return new NonContractShipmentRefundRequestInfoType();
    }

    /**
     * Create an instance of {@link GetNonContractShipmentReceiptRequest }
     * 
     */
    public GetNonContractShipmentReceiptRequest createGetNonContractShipmentReceiptRequest() {
        return new GetNonContractShipmentReceiptRequest();
    }

    /**
     * Create an instance of {@link GetNonContractShipmentPublicKeyInfoResponse }
     * 
     */
    public GetNonContractShipmentPublicKeyInfoResponse createGetNonContractShipmentPublicKeyInfoResponse() {
        return new GetNonContractShipmentPublicKeyInfoResponse();
    }

    /**
     * Create an instance of {@link PublicKeyInfoType }
     * 
     */
    public PublicKeyInfoType createPublicKeyInfoType() {
        return new PublicKeyInfoType();
    }

    /**
     * Create an instance of {@link GetNonContractShipmentReceiptResponse }
     * 
     */
    public GetNonContractShipmentReceiptResponse createGetNonContractShipmentReceiptResponse() {
        return new GetNonContractShipmentReceiptResponse();
    }

    /**
     * Create an instance of {@link GetNonContractShipmentDetailsRequest }
     * 
     */
    public GetNonContractShipmentDetailsRequest createGetNonContractShipmentDetailsRequest() {
        return new GetNonContractShipmentDetailsRequest();
    }

    /**
     * Create an instance of {@link GetNonContractShipmentResponse }
     * 
     */
    public GetNonContractShipmentResponse createGetNonContractShipmentResponse() {
        return new GetNonContractShipmentResponse();
    }

    /**
     * Create an instance of {@link GetNonContractShipmentDetailsResponse }
     * 
     */
    public GetNonContractShipmentDetailsResponse createGetNonContractShipmentDetailsResponse() {
        return new GetNonContractShipmentDetailsResponse();
    }

    /**
     * Create an instance of {@link GetNonContractShipmentsRequest }
     * 
     */
    public GetNonContractShipmentsRequest createGetNonContractShipmentsRequest() {
        return new GetNonContractShipmentsRequest();
    }

    /**
     * Create an instance of {@link GetNonContractShipmentRequest }
     * 
     */
    public GetNonContractShipmentRequest createGetNonContractShipmentRequest() {
        return new GetNonContractShipmentRequest();
    }

    /**
     * Create an instance of {@link DestinationAddressDetailsType }
     * 
     */
    public DestinationAddressDetailsType createDestinationAddressDetailsType() {
        return new DestinationAddressDetailsType();
    }

    /**
     * Create an instance of {@link SkuType }
     * 
     */
    public SkuType createSkuType() {
        return new SkuType();
    }

    /**
     * Create an instance of {@link RecipientAddressType }
     * 
     */
    public RecipientAddressType createRecipientAddressType() {
        return new RecipientAddressType();
    }

    /**
     * Create an instance of {@link SettlementInfoType }
     * 
     */
    public SettlementInfoType createSettlementInfoType() {
        return new SettlementInfoType();
    }

    /**
     * Create an instance of {@link ReferencesType }
     * 
     */
    public ReferencesType createReferencesType() {
        return new ReferencesType();
    }

    /**
     * Create an instance of {@link AddressDetailsType }
     * 
     */
    public AddressDetailsType createAddressDetailsType() {
        return new AddressDetailsType();
    }

    /**
     * Create an instance of {@link ArtifactsType }
     * 
     */
    public ArtifactsType createArtifactsType() {
        return new ArtifactsType();
    }

    /**
     * Create an instance of {@link NotificationType }
     * 
     */
    public NotificationType createNotificationType() {
        return new NotificationType();
    }

    /**
     * Create an instance of {@link DestinationType }
     * 
     */
    public DestinationType createDestinationType() {
        return new DestinationType();
    }

    /**
     * Create an instance of {@link OptionType }
     * 
     */
    public OptionType createOptionType() {
        return new OptionType();
    }

    /**
     * Create an instance of {@link SenderType }
     * 
     */
    public SenderType createSenderType() {
        return new SenderType();
    }

    /**
     * Create an instance of {@link PreferencesType }
     * 
     */
    public PreferencesType createPreferencesType() {
        return new PreferencesType();
    }

    /**
     * Create an instance of {@link DomesticAddressDetailsType }
     * 
     */
    public DomesticAddressDetailsType createDomesticAddressDetailsType() {
        return new DomesticAddressDetailsType();
    }

    /**
     * Create an instance of {@link ArtifactType }
     * 
     */
    public ArtifactType createArtifactType() {
        return new ArtifactType();
    }

    /**
     * Create an instance of {@link CustomsType.SkuList }
     * 
     */
    public CustomsType.SkuList createCustomsTypeSkuList() {
        return new CustomsType.SkuList();
    }

    /**
     * Create an instance of {@link DeliverySpecType.Options }
     * 
     */
    public DeliverySpecType.Options createDeliverySpecTypeOptions() {
        return new DeliverySpecType.Options();
    }

    /**
     * Create an instance of {@link ParcelCharacteristicsType.Dimensions }
     * 
     */
    public ParcelCharacteristicsType.Dimensions createParcelCharacteristicsTypeDimensions() {
        return new ParcelCharacteristicsType.Dimensions();
    }

    /**
     * Create an instance of {@link NonContractShipmentDetailsType.DeliverySpec.Options }
     * 
     */
    public NonContractShipmentDetailsType.DeliverySpec.Options createNonContractShipmentDetailsTypeDeliverySpecOptions() {
        return new NonContractShipmentDetailsType.DeliverySpec.Options();
    }

    /**
     * Create an instance of {@link NonContractShipmentReceiptType.CcReceiptDetails }
     * 
     */
    public NonContractShipmentReceiptType.CcReceiptDetails createNonContractShipmentReceiptTypeCcReceiptDetails() {
        return new NonContractShipmentReceiptType.CcReceiptDetails();
    }

    /**
     * Create an instance of {@link NonContractShipmentReceiptType.ServiceStandard }
     * 
     */
    public NonContractShipmentReceiptType.ServiceStandard createNonContractShipmentReceiptTypeServiceStandard() {
        return new NonContractShipmentReceiptType.ServiceStandard();
    }

    /**
     * Create an instance of {@link NonContractShipmentReceiptType.Adjustments.Adjustment }
     * 
     */
    public NonContractShipmentReceiptType.Adjustments.Adjustment createNonContractShipmentReceiptTypeAdjustmentsAdjustment() {
        return new NonContractShipmentReceiptType.Adjustments.Adjustment();
    }

    /**
     * Create an instance of {@link NonContractShipmentReceiptType.PricedOptions.PricedOption }
     * 
     */
    public NonContractShipmentReceiptType.PricedOptions.PricedOption createNonContractShipmentReceiptTypePricedOptionsPricedOption() {
        return new NonContractShipmentReceiptType.PricedOptions.PricedOption();
    }

    /**
     * Create an instance of {@link Messages.Message }
     * 
     */
    public Messages.Message createMessagesMessage() {
        return new Messages.Message();
    }

}
